Package com.orbbec.obsensor

## Enum FormatConvertType

- java.lang.Object
- - java.lang.Enum<FormatConvertType>
  - - com.orbbec.obsensor.FormatConvertType

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<FormatConvertType>`

    public enum FormatConvertType
    extends java.lang.Enum<FormatConvertType>

for data stream format conversion

### Enum Constant Summary

Enum Constants
`FORMAT_I420_TO_RGB888` I420 to RGB888
`FORMAT_MJPEG_TO_I420` MJPG to I420
`FORMAT_MJPEG_TO_NV21` MJPG to NV21
`FORMAT_MJPEG_TO_RGB888` MJPG to RG888
`FORMAT_NV12_TO_RGB888` NV12 to RGB888
`FORMAT_NV21_TO_RGB888` NV21 to RGB888
`FORMAT_RGB888_TO_BGR` RGB888 to BGR
`FORMAT_YUYV_TO_RGB888` YUYV to RGB888

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static FormatConvertType` `get​(int value)` Get the data stream conversion format corresponding to the specified index
`int` `value()` Get the data stream conversion format corresponding to a specific index value
`static FormatConvertType` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static FormatConvertType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### FORMAT_YUYV_TO_RGB888

    public static final FormatConvertType FORMAT_YUYV_TO_RGB888

YUYV to RGB888

#### FORMAT_I420_TO_RGB888

    public static final FormatConvertType FORMAT_I420_TO_RGB888

I420 to RGB888

#### FORMAT_NV21_TO_RGB888

    public static final FormatConvertType FORMAT_NV21_TO_RGB888

NV21 to RGB888

#### FORMAT_NV12_TO_RGB888

    public static final FormatConvertType FORMAT_NV12_TO_RGB888

NV12 to RGB888

#### FORMAT_MJPEG_TO_I420

    public static final FormatConvertType FORMAT_MJPEG_TO_I420

MJPG to I420

#### FORMAT_RGB888_TO_BGR

    public static final FormatConvertType FORMAT_RGB888_TO_BGR

RGB888 to BGR

#### FORMAT_MJPEG_TO_NV21

    public static final FormatConvertType FORMAT_MJPEG_TO_NV21

MJPG to NV21

#### FORMAT_MJPEG_TO_RGB888

    public static final FormatConvertType FORMAT_MJPEG_TO_RGB888

MJPG to RG888

### Method Detail

#### values

    public static FormatConvertType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (FormatConvertType c : FormatConvertType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static FormatConvertType valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### value

    public int value()

Get the data stream conversion format corresponding to a specific index value

Returns:
  index value

#### get

    public static FormatConvertType get​(int value)

Get the data stream conversion format corresponding to the specified index

Parameters:
  `value` - index value
Returns:
  data stream format